org.jboss.resteasy.plugins.providers.multipart

## Class HeaderFlushedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.resteasy.plugins.providers.multipart.HeaderFlushedOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class HeaderFlushedOutputStream
      extends OutputStream

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderFlushedOutputStream(MultivaluedMap<String,Object> headers, OutputStream delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `protected void` | `flushHeaders()`
    `void` | `write(byte[] bytes)`
    `void` | `write(byte[] bytes, int i, int i1)`
    `void` | `write(int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderFlushedOutputStream

          public HeaderFlushedOutputStream(MultivaluedMap<String,Object> headers,
                                   OutputStream delegate)

  - ### Method Detail

    - #### flushHeaders

          protected void flushHeaders()
                               throws IOException

      Throws:
        `IOException`

    - #### write

          public void write(int i)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] bytes)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] bytes,
                   int i,
                   int i1)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.